package com.bwie.common.handler;

import com.bwie.common.exception.auth.AuthException;
import com.bwie.common.result.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;


/**
 * @author: ZhangYao
 * @create: 2023-12-19 21:10
 * @Description:
 */
@RestControllerAdvice
public class GlobalExceptionHandler{

    private static  final Logger logger = LoggerFactory.getLogger(GlobalExceptionHandler.class);

/*处理auth exception  程序出现了 AuthException 则会进入这个方法*/
    @ExceptionHandler(AuthException.class)
    public Result authExceptionHandler(HttpServletRequest request, AuthException ex){
        String requestURI = request.getRequestURI();
        logger.info("请求URI: {},出现了异常 , 异常信息: {}",requestURI,ex.getMessage());
        return Result.error(ex.getMessage());
    }
}
