package com.bwie.health.controller;

import com.bwie.common.domain.Health;
import com.bwie.common.result.Result;
import com.bwie.health.service.HealthService;
import com.github.pagehelper.PageInfo;
import io.lettuce.core.pubsub.RedisPubSubListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/health")
public class HealthController{
    @Autowired
    private HealthService healthService;

    @PostMapping("/list")
    public Result<PageInfo<Health>> list(@RequestBody Health health){
        System.out.println(health);
        return healthService.list(health);
    }

    @PostMapping("/addHealth")
    public Result<Integer> addHealth(@RequestBody Health health){
        return healthService.addHealth(health);
    }

    @PostMapping("/updateHealth")
    public Result<Integer> updateHealth(@RequestBody Health health){
        return healthService.updateHealth(health);
    }

    @PostMapping("/deleteHealth")
    public Result<Integer> deleteHealth(@RequestParam Integer healthId){
        return healthService.deleteHealth(healthId);
    }
}
