package com.bwie.trees.service.impl;

import com.bwie.common.domain.Trees;
import com.bwie.common.result.Result;
import com.bwie.trees.mapper.TreesMapper;
import com.bwie.trees.service.TreesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;


@Service
public class TreesServiceImpl implements TreesService{
    @Autowired
    private TreesMapper treesMapper;

    @Override/*1.查询表*/
    public Result<List<Trees>> treesSelect() {
        List<Trees> list = treesMapper.treesSelect();
        return Result.success(list,"查询成功");
    }

//    @Override
//    public Result<List<Trees>> treesSelectOne() {
//        Result<List<Trees>> listResult = this.treesSelect();
//        List<Trees> treesList = listResult.getData();
//        List<Trees> collect = treesList.stream().
//                filter(trees -> trees.getTreesId() == 0).
//                peek(trees -> trees.setChildren(getChildren(trees,treesList).isEmpty() ? null : getChildren(trees,treesList))).
//                sorted().
//                collect(Collectors.toList());
//        return Result.success(collect);
//    }

    @Override
    public Result<List<Trees>> treesSelectTwo() {
        Result<List<Trees>> listResult = this.treesSelect();
        List<Trees> treesList = listResult.getData();
        List<Trees> collect = treesList
                .stream()
                .filter(trees -> trees.getTreesId() == 0)
                .peek(trees -> trees.setChildren(getChildren(trees, treesList).isEmpty() ? null : getChildren(trees,treesList)))
                .collect(Collectors.toList());
        return Result.success(collect);
    }

    private List<Trees> getChildren(Trees tree, List<Trees> treesList){
        List<Trees> collect = treesList.stream()//转Stream型
                .filter(trees -> trees.getTreesId() == tree.getId())//过滤父类ID是否等于主键ID
                .peek(trees -> trees.setChildren(getChildren(trees, treesList).isEmpty() ? null : getChildren(trees, treesList)))//给属性设置
                .collect(Collectors.toList());
        return collect;
    }

//    private List<Trees> getCidrens(//对象 ,//list集合)
//    {
//        将list集合转stream
//                .filter来进行一个过滤
//                .peek设置属性
//                .collect存入list
//    }
}
